-----------------------------------
-- Area: East Ronfaure	
-- MOB:  Pugil	
-----------------------------------

package.loaded["/scripts/zones/East_Ronfaure/MobIDs"] = nil;
require("/scripts/zones/East_Ronfaure/MobIDs");
require("/scripts/globals/fieldsofvalor");	
	
-----------------------------------	
-- onMobDeath	
-----------------------------------	
	
function onMobDeath(mob,killer)	
  checkRegime(killer,mob,64,1);

  -- Check if Mob is NM PHer
  if (inArray(SF_PH, mob:getID())) then

    -- Get NM's previous ToD
    SS_ToD = GetServerVariable("[POP]Swamfisk");

    -- Check if NM window is open, and that the NM isn't popped already (ACTION_NONE = 0)
    if (SS_ToD <= os.time(t) and GetMobAction(SWAMFISK) == 0 ) then

      -- Give Mob a 5% chance to spawn NM
      if (math.random((1),(20)) == 5) then

        -- Use the PH's pos
        SetMobPos(SWAMFISK, mob:getXPos(), mob:getYPos(), mob:getZPos(), math.random((0),(360)));

        -- Set NM to spawn on PH respawn
        SpawnMob(SWAMFISK, 'nil', 330);

        -- Set PH action to ACTION_NONE, and save id to DB until NM death
        SetServerVariable("[PH]Swamfisk", mob:getID());
        DeterMob(mob:getID(), true);
      end

    end

  end

end;	
