-----------------------------------
-- Area: East Ronfaure	
-- MOB:  Carrion Worm	
-----------------------------------

package.loaded["/scripts/zones/East_Ronfaure/MobIDs"] = nil;
require("/scripts/zones/East_Ronfaure/MobIDs");
require("/scripts/globals/fieldsofvalor");	
	
-----------------------------------	
-- onMobDeath	
-----------------------------------
	
function onMobDeath(mob,killer)	
	checkRegime(killer,mob,65,1);
        
         -- Check if Mob is NM PHer
          if (inArray(BB_PH, mob:getID())) then
        
            -- Get NM's previous ToD
            BB_ToD = GetServerVariable("[POP]Bigmouth_Billy");
        
            -- Check if NM window is open, and that the NM isn't popped already (ACTION_NONE = 0)
            if (BB_ToD <= os.time(t) and GetMobAction(BIGMOUTH_BILLY) == 0 ) then
        
              -- Give Mob a 5% chance to spawn NM
              if (math.random((1),(20)) == 5) then
        
                -- Use the PH's pos
                SetMobPos(BIGMOUTH_BILLY, 476.000, -30.000, -32.000, math.random((0),(360)));
        
                -- Set NM to spawn on PH respawn
                SpawnMob(BIGMOUTH_BILLY, 'nil', 330);
        
                -- Set PH action to ACTION_NONE, and save id to DB until NM death
                SetServerVariable("[PH]Bigmouth_Billy", mob:getID());
                DeterMob(mob:getID(), true);
              end
        
            end
        
          end
end;	
